classification
Title: distutils ignored LDFLAGS in Makefile
Type: Stage:
Components: Distutils Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: loewis, sjoerd
Priority: normal Keywords:

Created on 2003-09-02 11:40 by sjoerd, last changed 2008-01-31 14:48 by draghuram. This issue is now closed.

Files
File name Uploaded Description Edit
distutils.patch sjoerd, 2003-09-02 11:40 possible patch for reported bug
Messages (3)
msg18046 - (view) Author: Sjoerd Mullender (sjoerd) * (Python committer) Date: 2003-09-02 11:40
Distutils ignores the LDFLAGS variable in the Python
Makefile. This is bad, since LDFLAGS typically contains
the -L linker flag telling the linker where to look for
extra libraries.

A possible patch is attached (if the checkbox works
this time :-)
msg18047 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2003-09-03 05:24
Logged In: YES 
user_id=21627

I think this is incorrect: LDFLAGS should *not* be used by
distutils. Instead, LDSHARED should incorporate LDFLAGS
where needed. Atleast that is what is done on a number of
platforms (*BSD, Darwin, ...). If your proposed route is
taken, these incorporations would need to be undone, AFAICT.
msg18048 - (view) Author: Sjoerd Mullender (sjoerd) * (Python committer) Date: 2003-09-03 08:15
Logged In: YES 
user_id=43607

This solution is fine with me.
History
Date User Action Args
2008-01-31 14:48:39draghuramsetstatus: open -> closed
resolution: wont fix
2003-09-02 11:40:03sjoerdcreate